### Enumeration

# Soup MessageHeadersType

since: 3.0

#### Declaration

    enum Soup.MessageHeadersType

#### Description [src]

Value passed to `soup_message_headers_new()` to set certain default behaviors.

Available since: 3.0

#### Members

`SOUP_MESSAGE_HEADERS_REQUEST`

  Request headers.

  - Value: `0`
  - Nickname: `request`
  - Available since: 3.0
`SOUP_MESSAGE_HEADERS_RESPONSE`

  Response headers.

  - Value: `1`
  - Nickname: `response`
  - Available since: 3.0
`SOUP_MESSAGE_HEADERS_MULTIPART`

  Multipart body part headers.

  - Value: `2`
  - Nickname: `multipart`
  - Available since: 3.0